<?php

/**
 * @file
 * Contains SubjectInterface.php.
 */

namespace Drupal\changed_fields;

/**
 * Interface ObserverInterface.
 */
interface ObserverInterface {

  /**
   * Update method with info about event.
   *
   * It is called by NodeSubject when node fields have been changed.
   *
   * @param SubjectInterface $nodeSubject
   */
  public function update(SubjectInterface $nodeSubject);

  /**
   * Method to get observer id.
   */
  public function getId();

}
